com.threerings.micasa.lobby

## Class LobbyMarshaller.LobbiesMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
  - - com.threerings.micasa.lobby.LobbyMarshaller.LobbiesMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, LobbyService.LobbiesListener, com.threerings.presents.client.InvocationService.InvocationListener

Enclosing class:
  LobbyMarshaller

    public static class LobbyMarshaller.LobbiesMarshaller
    extends com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller
    implements LobbyService.LobbiesListener

Marshalls results to implementations of `LobbyService.LobbiesListener`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `GOT_LOBBIES` The method id used to dispatch `gotLobbies(java.util.List<com.threerings.micasa.lobby.Lobby>)` responses.

### Fields inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller

`callerOid, listener, mapStamp, omgr, REQUEST_FAILED_RSPID, requestId, transport`

### Constructor Summary

Constructors
Constructor and Description
`LobbiesMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatchResponse(int methodId, Object[] args)`
`void` `gotLobbies(List<Lobby> arg1)` Supplies the listener with the results of a `LobbyService.getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller

`requestFailed, setInvocationId, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener

`requestFailed`

### Field Detail

#### GOT_LOBBIES

    public static final int GOT_LOBBIES

The method id used to dispatch `gotLobbies(java.util.List<com.threerings.micasa.lobby.Lobby>)` responses.

See Also:
  Constant Field Values

### Constructor Detail

#### LobbiesMarshaller

    public LobbiesMarshaller()

### Method Detail

#### gotLobbies

    public void gotLobbies(List<Lobby> arg1)

Description copied from interface: `LobbyService.LobbiesListener`
Supplies the listener with the results of a `LobbyService.getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.

Specified by:
  `gotLobbies` in interface `LobbyService.LobbiesListener`

#### dispatchResponse

    public void dispatchResponse(int methodId,
                                 Object[] args)

Overrides:
  `dispatchResponse` in class `com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller`